astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- N-dimensional datasets (`astropy.nddata`) »
- Conf

# Conf

class `astropy.nddata.``Conf`

  Bases: `astropy.config.ConfigNamespace`

  Configuration parameters for `astropy.nddata`.

  Attributes Summary

  `warn_setting_unit_directly` | Whether to issue a warning when the `NDData` unit attribute is changed from a non-`None` value to another value that data values/uncertainties are not scaled with the unit change.
  `warn_unsupported_correlated` | Whether to issue a warning if `NDData` arithmetic is performed with uncertainties and the uncertainties do not support the propagation of correlated uncertainties.

  Attributes Documentation

  `warn_setting_unit_directly`

    Whether to issue a warning when the `NDData` unit attribute is changed from a non-`None` value to another value that data values/uncertainties are not scaled with the unit change.

  `warn_unsupported_correlated`

    Whether to issue a warning if `NDData` arithmetic is performed with uncertainties and the uncertainties do not support the propagation of correlated uncertainties.